<?php
namespace addons\clearbom;  // 注意命名空间规范
use think\Addons;

class Widget extends Addons // 需继承Addons类
{
    // 该插件的基础信息
    public $info = [
        'name' => 'clearbom',   // 插件标识
        'title' => '模板清除BOM',  // 插件名称
        'author' => 'RGCMS',  // 插件作者
        'is_admin' => true,
        'version' => '0.1',  // 插件版本
        'description' => "模板文件BOM头清除"  // 插件描述
    ];
    
    /**
     * 插件安装方法
     * @return bool
     */
    public function install()
    {
        return true;
    }

    /**
     * 插件卸载方法
     * @return bool
     */
    public function uninstall()
    {
        return true;
    }

    /**
     * 实现插件的钩子方法
     * @return mixed
     */


}